/**
 * @file
 * Responsive Voice TTS Play Pause buttons behaviors.
 */

(function ($, Drupal) {
  Drupal.behaviors.responsiveVoicePlayer = {
    attach: function (context, settings) {

      let isPaused = false;

      $('.voicetts-actionbtn').click(function () {
        if (isPaused) {
          // Resume functionality
          //responsiveVoice.cancel();
          responsiveVoice.cancel();
          const text = this.getAttribute('data-src');
          const voice = this.getAttribute('data-voice');
          responsiveVoice.speak(text, voice);
          $(this).removeClass('resume').addClass('pause').text('Pause');
        } else {
          // Pause functionality
          responsiveVoice.cancel();
          $(this).removeClass('pause').addClass('resume').text('Resume');
        }
        // Toggle the state
        isPaused = !isPaused;
      });
      $('.voicettsBtn.play').click(function () {
        isPaused = false;
        const text = this.getAttribute('data-src');
        const voice = this.getAttribute('data-voice');
        responsiveVoice.cancel();
        responsiveVoice.speak(text, voice);
        $('.voicetts-actionbtn').removeClass('resume').addClass('pause').text('Pause');
      });
      // Add a keyboard shortcut (e.g., Alt + P for play/pause)
      $(document).on('keydown', function (e) {
        if (e.shiftKey && e.key.toLowerCase() === 'p') {
          $('.voicettsBtn.play').click();  // Simulate button click
        }
        if (e.shiftKey && e.key.toLowerCase() === 's') {
          $('.voicetts-actionbtn').click();  // Simulate button click
        }
      });
    }
  };
})(jQuery, Drupal);
